---
layout: mockup
title: "Remote Access"
theme: Adwaita/Adwaita.css
permalink: settings/privacy/remote-access
wallpaper: adwaita
category: "Privacy"
---

<!-- css -->
<link rel="stylesheet" type="text/css" href="{{ site.baseurl }}/css/Adwaita/apps/settings.css">

{%- include widgets/_panel.html -%}

<!-- Window -->
<div class="window medium">
	<!-- Titlebar -->
	<div class="titlebar paned">
		<div class="button-group pane float-left">
			<a class="button image-button secondaryButton" href="{{ site.baseurl }}/settings/privacy-root">{%- include symbolic/actions/go-previous-symbolic.svg -%}</a>
			<a class="button image-button primaryButton" href="{{ site.baseurl }}/settings/network">{%- include symbolic/actions/go-previous-symbolic.svg -%}</a>
			<span class="title">Privacy & Security</span>
		</div>
		<!-- Title -->
		<div class="title-group">
			<span class="title">{{ page.title }}</span>
		</div>
		<div class="button-group float-right">
			{%- include components/switch.html checked="checked" id = "remoteAccessSwitch" -%}
			{%- include components/close-button.html close = "window" -%}
		</div>
	</div>
	<!-- Content -->
	<div class="content">
		<!-- Sidebar -->
		<ul id="settingsPrivacySidebar" class="sidebar">
		{%- for item in site.data.settings-privacy-sidebar -%}<a href="{{ site.baseurl }}/settings{{ item.link }}"><li>{%- include symbolic/{{ item.icon }}-symbolic.svg -%}<span>{{ item.title }}</span></li></a>{%- if item.has-separator == true -%}<div class="separator"></div>{%- endif -%}{%- endfor -%}
		</ul>
		<!-- View -->
		<div class="view">
			<!-- Screen Sharing -->
			<div class="row remoteAccessSettings" id="screenSharing">
				<h4>Screen Sharing</h4>
				<p>Allow remote users to view or control your computer over a VNC connection.</p>
				<ul class="listrow">
					<li onclick="toggleChecked('#screenSharingSwitch');screenSharingToggle();">
						<label>Screen Sharing</label>
						{%- include components/switch.html float = "right" id="screenSharingSwitch" -%}
					</li>
					<li class="medium screenSharingOption" onclick="toggleChecked('#screenSharingRemoteControlSwitch');screenSharingToggle();">
						<div class="label-group">
							<label>Remote Control</label>
							<label class="small-label dim-label">Remote connections are able to control the screen.</label>
						</div>
						{%- include components/switch.html float = "right" checked="" id="" id = "screenSharingRemoteControlSwitch" -%}
					</li>
					<li id="screenSharingRequirePassword" onclick="toggleChecked('#screenSharingPasswordSwitch');screenSharingPasswordToggle();">
						<label>Require Password</label>
						{%- include components/switch.html float = "right" id="screenSharingPasswordSwitch" -%}
					</li>
					<li class="screenSharingOption" id="screenSharingPassword">
						<label>Password</label>
						<div data-toggle="collapse" data-target="#showPassword" class="dropdown button image-button flat float-right" id="revealPassword" onclick="$('#revealPassword > .symbolic:nth-child(1)').toggle();$('#revealPassword > .symbolic:nth-child(2)').toggle();">{%- include symbolic/actions/view-reveal-symbolic.svg -%}{%- include symbolic/actions/view-conceal-symbolic.svg -%}</div>
						<label class="float-right dim-label">&bull;&bull;&bull;&bull;&bull;&bull;&bull;&bull;</label>
					</li>
					<div id="showPassword" class="collapse" aria-expanded="false">
						<ul class="listrow borderless text-center">
							<li>
								<label class="bold-label monospace">GoBU8hpQ3hH</label>
								<!-- <input type="text" class="entry full-width" value="GoBU8hpQ3hH" name=""> -->
							</li>
						</ul>
					</div>
					<li class="screenSharingOption">
						<label>VNC Address</label>
						<label class="dim-label float-right"><code>vnc://<span class="deviceName">computer</span>.local</code></label>
					</li>
				</ul>
			</div>
			<!-- Remote Login -->
			<div class="row remoteAccessSettings" id="remoteLogin">
				<h4>Remote Login</h4>
				<p>Allow remote users to connect to this computer using Secure Shell login.</p>
				<ul class="listrow">
					<li onclick="toggleChecked('#remoteLoginSwitch');">
						<label>Remote Login</label>
						{%- include components/switch.html float = "right" id="remoteLoginSwitch" -%}
					</li>
					<!-- <li>
						<label>Access</label>
						<label class="dim-label float-right">All Users</label>
					</li> -->
					<li class="screenSharingOption">
						<label>Secure Shell Address</label>
						<label class="dim-label float-right"><code>ssh://<span class="deviceName">computer</span>.local</code></label>
					</li>
				</ul>
			</div>
			{%- include components/empty-state.html
				id = "remoteAccessDisabled"
				icon="status/screen-shared" 
				title = "Remote Access is turned off" 
				message= "Screen sharing and remote login is disabled on this device."
			-%}
		</div>
	</div>
	<!-- Disable Camera Dialog -->
	<div class="gtkdialog" id="remoteAccessDialog">
		<div class="gtkdialog-window message-dialog">
			<div class="gtkdialog-content">
				<div class="row">
					<h3>Disable Remote Access?</h3>
					<p>Disabling remote access will prevent remote login and screen sharing. This may interrupt active connections.</p>
				</div>
				<a class="button text-button float-left" onclick="$('#remoteAccessSwitch').prop('checked', true );$('#remoteAccessDialog').hide();">Cancel</a>
				<a class="button text-button float-right" onclick="$('.remoteAccessSettings').hide();$('#remoteAccessDisabled').show();$('#remoteAccessDialog').hide();">Disable</a>
			</div>
		</div>
	</div>
</div>

<!-- js -->
<script type="text/javascript">
$(document).ready(function() {$('#settingsPrivacySidebar a:nth-of-type(10) li').addClass("active");});

$(document).ready(function(){
	$('#remoteAccessSwitch').change(function(){
		if($(this).is(":checked")) {
			$('.remoteAccessSettings').show();
			$('#remoteAccessDisabled').hide();
		} else {
			$('#remoteAccessDialog').show();
		}
	});
});
$("#remoteAccessDisabled").hide();

$('#revealPassword > .symbolic:nth-child(2)').hide();
</script>